# std::Deque_iterator< Type, Ref, Ptr > Struct Template Reference

A deque::iterator. More...

`#include <stl_deque.h>`

Inheritance diagram for std::Deque_iterator< Type, Ref, Ptr >:

[legend]
List of all members.

## Detailed Description

### template<typename Type, typename Ref, typename Ptr>
struct std::Deque_iterator< Type, Ref, Ptr >

A deque::iterator.

Quite a bit of intelligence here. Much of the functionality of deque is actually passed off to this class. A deque holds two of these internally, marking its valid range. Access to elements is done as offsets of either of those two, relying on operator overloading in this class.

Definition at line 100 of file stl_deque.h.

The documentation for this struct was generated from the following file:

- stl_deque.h